import { Type } from '../type';
import { Registry } from '../util/Registry';

import { Class } from './Class';

export class ClassRegistry extends Registry<Type<any>, Class> {
  public constructor(parent?: ClassRegistry) {
    super(parent);
  }
}

export const SystemClassRegistry = new ClassRegistry();
